// Telegrammer - Telegram Bot Swift SDK.
// This file is autogenerated by API/generate_wrappers.rb script.

/**
 Represents the content of a location message to be sent as the result of an inline query.

 SeeAlso Telegram Bot API Reference:
 [InputLocationMessageContent](https://core.telegram.org/bots/api#inputlocationmessagecontent)
 */
public final class InputLocationMessageContent: Codable {

    /// Custom keys for coding/decoding `InputLocationMessageContent` struct
    enum CodingKeys: String, CodingKey {
        case latitude = "latitude"
        case longitude = "longitude"
        case livePeriod = "live_period"
    }

    /// Latitude of the location in degrees
    public var latitude: Float

    /// Longitude of the location in degrees
    public var longitude: Float

    /// Optional. Period in seconds for which the location can be updated, should be between 60 and 86400.
    public var livePeriod: Int?


    public init (latitude: Float, longitude: Float, livePeriod: Int? = nil) {
        self.latitude = latitude
        self.longitude = longitude
        self.livePeriod = livePeriod
    }
}
